com.collabnet.ce.soap60.webservices.discussion

## Class Forum2SoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
    - - com.collabnet.ce.soap60.webservices.discussion.Forum2SoapDO

-     public class Forum2SoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  Represents a forum.
  Change History
  Release: 6.2
  - Added constants for web posting, email posting and email monitoring fields.
  - Added constants for captcha field.
  - Added message size field.
  - Added captcha field.
  - Added web posting field.
  - Added email posting field.
  - Added email monitoring field.
  Since:
    6.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL_USERS` All site users and guests can post to this forum through email
    `static int` | `ALL_WEB_USERS` All site users and guests can post to this forum through web UI
    `static String` | `CAPTCHA_FOR_ALL` CAPTCHA would be enforced for all web posts
    `static String` | `CAPTCHA_FOR_ANONYMOUS_USER` CAPTCHA would be enforced for anonymous web posts only
    `static String` | `CAPTCHA_FOR_NOBODY` This indicates no CAPTCHA would be enforced for any web posts
    `static int` | `FORUM_ADMINS` Only forum admins are allowed to post to this forum
    `static int` | `FORUM_POSTERS` Only users with forum post permission can post to this forum
    `static int` | `FORUM_VIEWERS` Only users with forum view permission can subscribe to this forum through email
    `static int` | `KNOWN_EMAILS` Only users who are monitoring this forum can post to this forum through email
    `static int` | `LOGGED_IN_WEB_USERS` Only logged-in users can post to this forum through web UI
    `static int` | `MONITOR_ALL_USERS` All site users and guests can subscribe to this forum through email
    `static int` | `REGISTERED_USERS` Only site users can subscribe or post to this forum through email

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Forum2SoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCaptcha()` Returns 'captcha'.
    `int` | `getEmailMonitoring()` Returns 'emailMonitoring'.
    `int` | `getEmailPosting()` Returns 'emailPosting'.
    `String` | `getFooter()` Returns 'footer'.
    `String` | `getForumType()` Returns 'forumType'.
    `boolean` | `getListEnabled()` Returns 'listEnabled'.
    `String` | `getListName()` Returns 'listName'.
    `int` | `getMessageSize()` Returns 'messageSize'.
    `String` | `getPrefix()` Returns 'prefix'.
    `boolean` | `getPrivateForum()` Returns 'privateForum'.
    `String` | `getReplyTo()` Returns 'replyTo'.
    `int` | `getWebPosting()` Returns 'webPosting'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCaptcha(String captcha)` Sets 'captcha'.
    `void` | `setEmailMonitoring(int emailMonitoring)` Sets 'emailMonitoring'.
    `void` | `setEmailPosting(int emailPosting)` Sets 'emailPosting'.
    `void` | `setFooter(String footer)` Sets 'footer'.
    `void` | `setForumType(String forumType)` Sets 'forumType'.
    `void` | `setListEnabled(boolean listEnabled)` Sets 'listEnabled'.
    `void` | `setListName(String listName)` Sets 'listName'.
    `void` | `setMessageSize(int messageSize)` Sets 'messageSize'.
    `void` | `setPrefix(String prefix)` Sets 'prefix'.
    `void` | `setPrivateForum(boolean privateForum)` Sets 'privateForum'.
    `void` | `setReplyTo(String replyTo)` Sets 'replyTo'.
    `void` | `setWebPosting(int webPosting)` Sets 'webPosting'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

      `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORUM_ADMINS

          public static final int FORUM_ADMINS

      Only forum admins are allowed to post to this forum
      See Also:
        Constant Field Values

    - #### FORUM_POSTERS

          public static final int FORUM_POSTERS

      Only users with forum post permission can post to this forum
      See Also:
        Constant Field Values

    - #### LOGGED_IN_WEB_USERS

          public static final int LOGGED_IN_WEB_USERS

      Only logged-in users can post to this forum through web UI
      See Also:
        Constant Field Values

    - #### ALL_WEB_USERS

          public static final int ALL_WEB_USERS

      All site users and guests can post to this forum through web UI
      See Also:
        Constant Field Values

    - #### FORUM_VIEWERS

          public static final int FORUM_VIEWERS

      Only users with forum view permission can subscribe to this forum through email
      See Also:
        Constant Field Values

    - #### REGISTERED_USERS

          public static final int REGISTERED_USERS

      Only site users can subscribe or post to this forum through email
      See Also:
        Constant Field Values

    - #### KNOWN_EMAILS

          public static final int KNOWN_EMAILS

      Only users who are monitoring this forum can post to this forum through email
      See Also:
        Constant Field Values

    - #### MONITOR_ALL_USERS

          public static final int MONITOR_ALL_USERS

      All site users and guests can subscribe to this forum through email
      See Also:
        Constant Field Values

    - #### ALL_USERS

          public static final int ALL_USERS

      All site users and guests can post to this forum through email
      See Also:
        Constant Field Values

    - #### CAPTCHA_FOR_NOBODY

          public static final String CAPTCHA_FOR_NOBODY

      This indicates no CAPTCHA would be enforced for any web posts
      See Also:
        Constant Field Values

    - #### CAPTCHA_FOR_ANONYMOUS_USER

          public static final String CAPTCHA_FOR_ANONYMOUS_USER

      CAPTCHA would be enforced for anonymous web posts only
      See Also:
        Constant Field Values

    - #### CAPTCHA_FOR_ALL

          public static final String CAPTCHA_FOR_ALL

      CAPTCHA would be enforced for all web posts
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Forum2SoapDO

          public Forum2SoapDO()

  - ### Method Detail

    - #### getListName

          public String getListName()

      Returns 'listName'. mailing list associated with this Forum
      Returns:
        Value of 'listName'.

    - #### setListName

          public void setListName(String listName)

      Sets 'listName'. mailing list associated with this Forum
      Parameters:
        `listName` - Value of 'listName'.

    - #### getListEnabled

          public boolean getListEnabled()

      Returns 'listEnabled'. Wether the mailing list is enabled or not
      Returns:
        Value of 'listEnabled'.

    - #### setListEnabled

          public void setListEnabled(boolean listEnabled)

      Sets 'listEnabled'. Wether the mailing list is enabled or not
      Parameters:
        `listEnabled` - Value of 'listEnabled'.

    - #### getForumType

          public String getForumType()

      Returns 'forumType'. Whether the forum type is moderated(MF) or un-moderated(UF)
      Returns:
        Value of 'forumType'.

    - #### setForumType

          public void setForumType(String forumType)

      Sets 'forumType'. Whether the forum type is moderated(MF) or un-moderated(UF)
      Parameters:
        `forumType` - Value of 'forumType'.

    - #### getPrefix

          public String getPrefix()

      Returns 'prefix'. The customized prefix text to be appended with subject for mailing list
      Returns:
        Value of 'prefix'.

    - #### setPrefix

          public void setPrefix(String prefix)

      Sets 'prefix'. The customized prefix text to be appended with subject for mailing list
      Parameters:
        `prefix` - Value of 'prefix'.

    - #### getFooter

          public String getFooter()

      Returns 'footer'. Customized footer text to be appended to the bottom of each mail for mailing list
      Returns:
        Value of 'footer'.

    - #### setFooter

          public void setFooter(String footer)

      Sets 'footer'. Customized footer text to be appended to the bottom of each mail for mailing list
      Parameters:
        `footer` - Value of 'footer'.

    - #### getPrivateForum

          public boolean getPrivateForum()

      Returns 'privateForum'. Whether the forum is private (1) or public (0)
      Returns:
        Value of 'privateForum'.

    - #### setPrivateForum

          public void setPrivateForum(boolean privateForum)

      Sets 'privateForum'. Whether the forum is private (1) or public (0)
      Parameters:
        `privateForum` - Value of 'privateForum'.

    - #### getReplyTo

          public String getReplyTo()

      Returns 'replyTo'. The reply to behavior that has been set for the forum
      Returns:
        Value of 'replyTo'.

    - #### setReplyTo

          public void setReplyTo(String replyTo)

      Sets 'replyTo'. The reply to behavior that has been set for the forum
      Parameters:
        `replyTo` - Value of 'replyTo'.

    - #### getMessageSize

          public int getMessageSize()

      Returns 'messageSize'. The maximum size a post/topic including attachments
      Returns:
        Value of 'messageSize'.

    - #### setMessageSize

          public void setMessageSize(int messageSize)

      Sets 'messageSize'. The maximum size a post/topic including attachments
      Parameters:
        `messageSize` - Value of 'messageSize'.

    - #### getEmailMonitoring

          public int getEmailMonitoring()

      Returns 'emailMonitoring'. This setting determines which users could monitor the forum. Permissible values for public forums: FORUM_ADMINS, FORUM_VIEWERS, REGISTERED_USERS or MONITOR_ALL_USERS Permissible values for private forums: FORUM_ADMINS, FORUM_VIEWERS or REGISTERED_USERS
      Returns:
        Value of 'emailMonitoring'.

    - #### setEmailMonitoring

          public void setEmailMonitoring(int emailMonitoring)

      Sets 'emailMonitoring'. This setting determines which users could monitor the forum. Permissible values for public forums: FORUM_ADMINS, FORUM_VIEWERS, REGISTERED_USERS or MONITOR_ALL_USERS Permissible values for private forums: FORUM_ADMINS, FORUM_VIEWERS or REGISTERED_USERS
      Parameters:
        `emailMonitoring` - Value of 'emailMonitoring'.

    - #### getEmailPosting

          public int getEmailPosting()

      Returns 'emailPosting'. This setting determines which users can post to the forum. Permissible values for public forums: FORUM_ADMINS, FORUM_POSTERS, REGISTERED_USERS, KNOWN_EMAILS or ALL_USERS Permissible values for private forums: FORUM_ADMINS, FORUM_POSTERS, REGISTERED_USERS or KNOWN_EMAILS
      Returns:
        Value of 'emailPosting'.

    - #### setEmailPosting

          public void setEmailPosting(int emailPosting)

      Sets 'emailPosting'. This setting determines which users can post to the forum. Permissible values for public forums: FORUM_ADMINS, FORUM_POSTERS, REGISTERED_USERS, KNOWN_EMAILS or ALL_USERS Permissible values for private forums: FORUM_ADMINS, FORUM_POSTERS, REGISTERED_USERS or KNOWN_EMAILS
      Parameters:
        `emailPosting` - Value of 'emailPosting'.

    - #### getWebPosting

          public int getWebPosting()

      Returns 'webPosting'. This setting determines which users can post to the forum through web UI. Permissible values for public forums: FORUM_ADMINS, FORUM_POSTERS, LOGGED_IN_WEB_USERS or ALL_WEB_USERS Permissible values for private forums: FORUM_ADMINS or FORUM_POSTERS
      Returns:
        Value of 'webPosting'.

    - #### setWebPosting

          public void setWebPosting(int webPosting)

      Sets 'webPosting'. This setting determines which users can post to the forum through web UI. Permissible values for public forums: FORUM_ADMINS, FORUM_POSTERS, LOGGED_IN_WEB_USERS or ALL_WEB_USERS Permissible values for private forums: FORUM_ADMINS or FORUM_POSTERS
      Parameters:
        `webPosting` - Value of 'webPosting'.

    - #### getCaptcha

          public String getCaptcha()

      Returns 'captcha'. This indicates whether CAPTCHA to be enforced for all web posts, only for logged-out users or for nobody. Permissible values: CAPTCHA_FOR_NOBODY, CAPTCHA_FOR_ANONYMOUS_USER or CAPTCHA_FOR_ALL
      Returns:
        Value of 'captcha'.

    - #### setCaptcha

          public void setCaptcha(String captcha)

      Sets 'captcha'. This indicates whether CAPTCHA to be enforced for all web posts, only for logged-out users or for nobody. Permissible values: CAPTCHA_FOR_NOBODY, CAPTCHA_FOR_ANONYMOUS_USER or CAPTCHA_FOR_ALL
      Parameters:
        `captcha` - Value of 'captcha'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.